Subject: Re: pkg/30419: can't build devel/gmake
To: None <,,>
From: Thomas Klausner <>
List: pkgsrc-bugs
Date: 06/04/2005 09:22:01
The following reply was made to PR pkg/30419; it has been noted by GNATS.

From: Thomas Klausner <>
To: Alan Barrett <>
Subject: Re: pkg/30419: can't build devel/gmake
Date: Sat, 4 Jun 2005 11:21:20 +0200

 On Sat, Jun 04, 2005 at 11:13:57AM +0200, Alan Barrett wrote:
 > On Fri, 03 Jun 2005, Thomas Klausner wrote:
 > > Did you update your whole pkgsrc tree? (you should)
 > The whole tree from my local anoncvs mirror (which gets updated daily),
 > and both pkgsrc/mk and pkgsrc/devel/gmake from  Why
 > would anything else be important?
 Sorry, but we cannot support every possible partly-updated version
 of pkgsrc, it is too much effort. So we usually request that you
 update.  In this case, I'd think that the directories you mention
 should be enough, but as soon as a package includes other
 files (like even gmake does, in some conditions) things can get
 quite messy.
 > If there's a specific revision of
 > some file that you think I should have, please say so.  Just saying
 > "update everything" is not very helpful, because not everybody has fast
 > access to the anoncvs server, and the anoncvs server itself is often
 > several days out of sync with the master cvs server.
 Nowadays, the anoncvs server is quite up-to-date, only a few minutes
 behind AFAIK. I understand your problem, but gnats replies are not
 that time critical -- waiting a day for the reply is fine by me.
 > > If not, make sure that you also have an up-to-date file.
 > At the time, I did have the latest  Since then, revision
 > 1.1686 of pkgtools/mk/bsd/ has fixed the problem.
 Good! Thanks for the testing.